# $Id: tinycobol.spec,v 1.11 2001/10/29 12:35:29 bitwalk Exp $
%define name tinycobol
%define myversion 0.55

Summary:       COBOL compiler.
Name:          %{name}
Version:       %{myversion}
Release:       7bw_rh71
Source:        ftp://tiny-cobol.sourceforge.net/pub/tiny-cobol/tinycobol-%{myversion}.tar.gz
Patch0:        tinycobol-0.55.patch
Group:         Development/Languages
Copyright:     GPL, LGPL
Packager:      Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
Vendor:        bitWalk Co., Ltd.
Buildroot:     %{_tmppath}/%{name}-buildroot
BuildRequires: compat-egcs, db3, db3-devel
Requires:      db3, db3-devel

%description
TinyCOBOL, htcobol, is a COBOL 85 compliant compiler for the IA32 architecture.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p3
autoconf

find . -type f | xargs perl -pi -e 's|/usr/local|/usr|'
find . -type f | xargs perl -pi -e 's|-I/usr/include|-I/usr/include -I/usr/include/db3|'
find . -name configure | xargs perl -pi -e 's|\"gcc\"|\"egcs\"|'

%build
./configure --prefix=%{_prefix}
make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/htcobol
mkdir -p $RPM_BUILD_ROOT%{_datadir}/htcobol/copybooks
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m 755 compiler/htcobol $RPM_BUILD_ROOT%{_bindir}
install -m 644 lib/*.a $RPM_BUILD_ROOT%{_libdir}
install -m 644 compiler/cobopt $RPM_BUILD_ROOT%{_datadir}/htcobol
install -m 755 cobpp/htcobolpp $RPM_BUILD_ROOT%{_datadir}/htcobol
install -m 644 test.code/copybooks/*.cpy $RPM_BUILD_ROOT%{_datadir}/htcobol/copybooks
install -m 644 info/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr (-,root,root)
%doc ANNOUNCE AUTHORS BUGS CHANGES COPYING COPYING.LIB COPYRIGHT ChangeLog
%doc HISTORY INSTALL INSTALL.bin README STATUS TODO tinycobol.lsm
%{_bindir}/*
%{_libdir}/*
%{_datadir}/*

%post
ranlib %{_libdir}/libhtcobol.a
ranlib %{_libdir}/libhtcobol2.a
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog

* Mon Oct 29 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- Update to version 0.55.

* Mon Oct 22 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- modify configure.in so as to find db_185.h.

* Mon Oct 1 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- modify compiler to egcs in place of gcc-2.96 for RH7.1.

* Sun Sep 2 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- add post and postnumsequences for doing ldconfig.

* Sat Jul 14 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- add sequence to modify /usr/local to /usr prior to compile.

* Wed Jul 11 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- Update to version 0.54.

* Wed Jun 06 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- write new spec for tiny-cobol 0.53.
